<?php
/**
*
* @ This file is created by http://DeZender.Net
* @ deZender (PHP7 Decoder for SourceGuardian Encoder)
*
* @ Version			:	5.0.1.0
* @ Author			:	DeZender
* @ Release on		:	22.04.2022
* @ Official site	:	http://DeZender.Net
*
*/

require "includes/check.php";
$ifofuser_check = $_SESSION["id"];
$jsondata_admin = file_get_contents("./includes/brbox.json");
$data_admin = json_decode($jsondata_admin, true);
$json_admin = $data_admin["info"];
$col_admin = $json_admin["oo"];
if ($col_admin == "0") {
    header("Location: app.php");
}
ini_set("display_errors", 0);
ini_set("display_startup_errors", 0);
error_reporting(32767);
$db177 = new SQLite3("./api/db/brbox_users_online.db");
$db177->exec("CREATE TABLE IF NOT EXISTS logging(id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, appid TEXT, version TEXT, device TEXT, pkg TEXT, app TEXT, cid TEXT, uid TEXT, status TEXT, d TEXT, time TEXT, last_online TEXT, ping TEXT, ip TEXT)");
$res176 = $db177->query("SELECT * FROM logging");
if (isset($_GET["delete"])) {
    $db177->exec("DELETE FROM logging WHERE id=" . $_GET["delete"]);
    header("Location: all_users.php");
}
include "includes/header.php";
echo "<div class=\"modal fade\" id=\"confirm-delete\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"myModalLabel\" aria-hidden=\"true\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <div class=\"modal-header\">\n                <h2>Confirm</h2>\n            </div>\n            <div class=\"modal-body\">\n                Do you really want to delete?\n            </div>\n            <div class=\"modal-footer\">\n                <button type=\"button\" class=\"btn btn-default\" data-dismiss=\"modal\">Cancel</button>\n                <a class=\"btn btn-danger btn-ok\">Delete</a>\n            </div>\n        </div>\n    </div>\n</div>\n<main role=\"main\" class=\"col-15 pt-4 px-5\"><div class=\"row justify-text-center\"><div class=\"chartjs-size-monitor\" style=\"position:absolute ; left: 0px; top: 0px; right: 0px; bottom: 0px; overflow: hidden; pointer-events: none; visibility: hidden; z-index: -1;\"><div class=\"chartjs-size-monitor-expand\" style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;\"><div style=\"position:absolute;width:1000000px;height:1000000px;left:0;top:0\"></div></div><div class=\"chartjs-size-monitor-shrink\" style=\"position:absolute;left:0;top:0;right:0;bottom:0;overflow:hidden;pointer-events:none;visibility:hidden;z-index:-1;\"><div style=\"position:absolute;width:200%;height:200%;left:0; top:0\"></div></div></div>\n <!-- Begin Page Content -->\n        <div class=\"container-fluid\">\n\n";
if (isset($_GET["message"])) {
    echo $_GET["message"];
}
echo "          <!-- Content Row -->\n          <div class=\"row\">\n\n            <!-- First Column -->\n            <div class=\"col-lg-12\">\n\n              <!-- Custom codes -->\n                <div class=\"card-header bg-primary py-3\">\n                <center><h4 align=\"center\" class=\"m-0 text-white\"><i class=\"fa fa-user-plus\"\n                                    style=\"font-size:20px\">&nbsp;&nbsp;</i> All User Management</h4>\n\t\t\t\t\t\t</center>\n\n                        <a button class=\"btn btn-danger btn-icon-split\" id=\"button\" href=\"./users.php\">\n";
echo "                        <span class=\"icon text-white-50\"><i class=\"fas fa-arrow-left\"></i></span><span class=\"text\"> " . $numRows_count . " Online Users</span>" . "\n";
echo "                        </button></a>\n            </div>\n          </div>\n            </div>\n          </div>\n\t\t<div class=\"table-responsive\">\n\t\t\t<table class=\"table table-striped table-sm\">\n\t\t\t<thead class= \"text-primary\">\n\t\t\t\t<tr>\n\t\t\t\t<th>User ID</th>\n\t\t\t\t<th>IP Address</th>\n\t\t\t\t<th>Online</th>\n\t\t\t\t<th>Last Online</th>\n\t\t\t\t<th>App ID</th>\n\t\t\t\t<th>Version</th>\n\t\t\t\t<th>Device</th>\n\t\t\t\t<th>Package Name</th>\n\t\t\t\t<th>App Name</th>\n\t\t\t\t<th>Customer ID</th>\n\t\t\t\t<th>First Registered</th>\n\t\t\t\t<th>Last Connection</th>\n\t\t\t\t<th>Delete</th>\n\t\t\t\t</tr>\n\t\t\t</thead>\n";
while ($row177 = $res176->fetchArray()) {
    $id123 = $row177["id"];
    $userid123 = $row177["uid"];
    $appid123 = $row177["appid"];
    $status123 = $row177["status"];
    $version123 = $row177["version"];
    $device123 = $row177["device"];
    $app123 = $row177["app"];
    $pkg123 = $row177["pkg"];
    $cid123 = $row177["cid"];
    $time123 = $row177["time"];
    $last_online123 = $row177["last_online"];
    $ping123 = $row177["ping"];
    $ipadd123 = $row177["ip"];
    echo "\t\t\t<tbody>\n\t\t\t\t<tr>\n";
    echo "\t\t\t\t<td>" . $userid123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $ipadd123 . "</td>" . "\n";
    echo "\t\t\t\t<td><center>";
    if ($status123 == "yes") {
        echo "<span class=\"icon text-white-50\"><i class=\"fas fa-fw fa fa-check\"style=\"font-size:20px;color:green\"></i></span>";
    } else {
        echo "<span class=\"icon text-white-50\"><i class=\"fas fa-fw fa fa-times\"style=\"font-size:20px;color:red\"></i></span>";
    }
    echo "\t\t\t\t<td>" . $last_online123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $appid123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $version123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $device123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $pkg123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $app123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $cid123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $time123 . "</td>" . "\n";
    echo "\t\t\t\t<td>" . $ping123 . "</td>" . "\n";
    echo "             <td><a class=\"btn btn-icon\" href=\"#\" data-href=\"./all_users.php?delete=" . $id123 . "\" data-toggle=\"modal\" data-target=\"#confirm-delete\"><span class=\"icon text-white-50\"><i class=\"fas fa-fw fa fa-trash-o\"style=\"font-size:20px;color:red\"></i></span></a></td>" . "\n";
    echo "\t\t\t\t</tr>\n\t\t\t</tbody>\n";
}
echo "\t\t\t</table>\n\t\t</div>\n</main>\n\n    <br><br><br>";
include "includes/footer.php";
require "includes/brbox.php";
echo "</body>\n";

?>